<?php
/**
 * Clase DP para CrPrAsignarCabeceraDP
 *
 * @package    
 * @subpackage CrPrAsignarCabeceraDP
 * @author     Willy
 * @version    SVN:: CrPrAsignarCabeceraDP.class.php,v 1.1 2018-07-03 15:59:31 william.taype Exp $
 */
class CrPrAsignarCabeceraDP extends BaseCrPrAsignarCabeceraDP
{
	
	 public function delete()
  {
    try
    {
      if($this->getFecha() && $this->getIdmercado() && $this->getIdcolaborador())
      {
        $a_Fields = array();

        $con = Conexion::getConexion();
        $sql = "DELETE FROM cr_pr_asignar_cabecera WHERE 1 AND fecha='".$this->getFecha()."' AND idmercado='".$this->getIdmercado()."' AND idcolaborador='".$this->getIdcolaborador()."';"; 
        $oLink = method_exists($con, 'getResource')?$con->getResource():$con;
        $result = mysql_query($sql, $oLink);
        if($result)
	    {
	    	$o_CrPrAsignarDetalleDP = new CrPrAsignarDetalleDP();
	    	$o_CrPrAsignarDetalleDP->setFecha($this->getFecha());
	    	$o_CrPrAsignarDetalleDP->setIdmercado($this->getIdmercado());
	    	$o_CrPrAsignarDetalleDP->setIdcolaborador($this->getIdcolaborador());
	    	$o_CrPrAsignarDetalleDP->delete();
          	$this->nRowsAffected = (int) mysql_affected_rows($oLink);
        }
        else
        {
          throw new Exception( mysql_error($oLink) );
        }
      }
      else
      {
        throw new Exception( 'El id no esta registrado.');
      }
    }
    catch ( Exception $o_Error )
    {
      throw new Exception($o_Error->getMessage().' en '.$o_Error->getFile().' linea '.$o_Error->getLine());
    }
    return true;
  }
}